Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class abolish

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.abolish

All Implemented Interfaces:
  InternalAction, java.io.Serializable

    public class abolish

extends DefaultInternalAction

Internal action: `.abolish`.

Description: removes all beliefs that match the argument. As for the "-" operator, an event will be generated for each deletion.

Parameters:

- + pattern (literal or variable): the "pattern" for what should be removed.

Examples:

- `.abolish(b(_))`: remove all `b/1` beliefs, regardless of the argument value.
- `.abolish(c(_,t))`: remove all `c/2` beliefs where the second argument is `2`.
- `.abolish(c(_,_)[source(ag1)])`: remove all `c/2` beliefs that have `ag1` as source.
- `.abolish(_[source(ag1)])`: remove any beliefs that have `ag1` as source.

See Also:
  Serialized Form

Constructor Summary
`abolish()`

Method Summary
`protected void` | `checkArguments(Term[] args)`
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.
`int` | `getMaxArgs()`
`int` | `getMinArgs()`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### abolish

    public abolish()

Method Detail

### getMinArgs

    public int getMinArgs()

  Overrides:
    `getMinArgs` in class `DefaultInternalAction`

### getMaxArgs

    public int getMaxArgs()

  Overrides:
    `getMaxArgs` in class `DefaultInternalAction`

### checkArguments

    protected void checkArguments(Term[] args)
                           throws JasonException

  Overrides:
    `checkArguments` in class `DefaultInternalAction`
  Throws:
    `JasonException`

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `DefaultInternalAction`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD